#!/bin/sh
SOURCE_PATH=/tmp/fdroid

cd $SOURCE_PATH
mkdir -p $SOURCE_PATH/repo/
while true; do
  cd $SOURCE_PATH/repo/
  rm -rf *
  for app in $APPS; do
    s3cmd get --recursive $app .
    rm -rf *-latest.apk
  done
  cd $SOURCE_PATH
  fdroid update && fdroid server update
  sleep $UPDATE_WAIT
done
